- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

# stream.h File Reference

## Namespaces
namespace | log4cxx
## Classes
class | logstream_base
| Base class for the basic_logstream template which attempts to emulate std::basic_ostream but attempts to short-circuit unnecessary operations. More...
class | logstream_base::logstream_ios_base
| Minimal extension of std::ios_base to allow creation of embedded IO states.
class | logstream
| An STL-like stream API for log4cxx using char as the character type. More...
class | wlogstream
| An STL-like stream API for log4cxx using wchar_t as the character type. More...
class | ulogstream
| An STL-like stream API for log4cxx using UniChar as the character type. More...
## Defines
#define | LOG4CXX_ENDMSG LOG4CXX_LOCATION << (log4cxx::logstream_manipulator) log4cxx::logstream_base::endmsg
## Typedefs
typedef logstream_base &(* | log4cxx::logstream_manipulator )(logstream_base &)

## Define Documentation

#define LOG4CXX_ENDMSG LOG4CXX_LOCATION << (log4cxx::logstream_manipulator) log4cxx::logstream_base::endmsg